@charset "utf-8";

/* 1. Importação de Fonte e Base */
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@300;400;700&display=swap');

* { margin: 0; padding: 0; box-sizing: border-box; }
html, body {
    height: 100%;
    margin: 0;
}

body { 
    background-color: #000; 
    /* Adicionando a imagem de fundo */
    background-image: url('../img/fundo-luzes-01.png'); 
    background-repeat: repeat-y; /* Repete apenas verticalmente */
    background-position: center top; /* Centraliza horizontalmente e começa no topo */
    background-attachment: scroll; /* O fundo sobe junto com o conteúdo */
    
    /* Mantendo suas configurações originais */
    color: #fff; 
    font-family: 'Oswald', sans-serif; 
    letter-spacing: 0px;
    line-height: 1.6;
    font-weight: 100;
	

    display: flex;
    flex-direction: column;
}

a { text-decoration: none; color: inherit; transition: 0.3s; }
ul { list-style: none; }

/* Container de largura máxima para centralizar o conteúdo */
.main-container, 
.footer-container {
    width: 100%;
    max-width: 1360px;
    margin: 0 auto;
    padding: 0;
}

/* Espaçamento do conteúdo principal */
.main-container {
    min-height: 70vh;
    padding-top: 0px;
    padding-bottom: 0px;
}
main, .content-wrapper { 
    flex: 1 0 auto;
}
footer {
    flex-shrink: 0;
}

/* Ajuste para telas pequenas (Mobile) */
@media (max-width: 768px) {
    body {
        /* 100% da largura da tela e a altura se ajusta proporcionalmente */
        background-size: 140% auto;
        
        /* Opcional: Se a imagem for muito curta e o conteúdo muito longo, 
           talvez você queira que ela pare de repetir e fique fixa no topo */
        /* background-repeat: no-repeat; */
    }
}